package inf101.sem2.model.structure;

import inf101.sem2.game.model.structure.characters.Character;
import inf101.sem2.game.model.structure.characters.pointWithCoordinates;
import inf101.sem2.grid.Coordinates;

import org.junit.jupiter.api.Test;

public class GameModelTest {
    
    /** Testen er inspirert av semesteropgave 1 */
        
        @Test
        void ChecksIfPieceStartsCorrectPosition() {
    
        
            Coordinates coord = new Coordinates(0, 0);

            pointWithCoordinates charWithCoord = new pointWithCoordinates(Character.Flower, coord);
    
            //GameModel testingModel = new GameModel(charWithCoord);
            //char[][] actualValue = testingModel.to2dCharArray();
    
            char[][] expectedTest = {
                {'S', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
                {'-', '-', '-', '-','-', '-','-', '-','-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-', '-'},
            };
    
            //assertTrue(Arrays.deepEquals(expectedTest, actualValue));
            
        }

    

}
